Index: locker/sbin/build-update
===================================================================
--- locker/sbin/build-update	(revision 743)
+++ locker/sbin/build-update	(revision 744)
@@ -116,4 +116,6 @@
 
 [ "$found" = "yes" ] || die "error: Correct version not found."
+[ -e "$patchdir/extra/prepatch.sh" ] && (. "$patchdir/extra/prepatch.sh" || die "error: prepatch failed")
+
 [ -s "$patchdir/oldfiles.absent" ] && (xargs -n1 test ! -e <"$patchdir/oldfiles.absent" || die "error: Conflicting files exist." )
 [ -s "$patchdir/check.md5" ] && (md5sum -c "$patchdir/check.md5" || die "error: MD5 check failed.")
